Wind River Support Network

HomeDefectsLIN1019-5097
Fixed

LIN1019-5097 : Security Advisory - kubernetes - CVE-2020-8559

Created: Jul 22, 2020    Updated: Aug 10, 2020
Resolved Date: Aug 10, 2020
Found In Version: 10.19.45.1
Severity: Standard
Applicable for: Wind River Linux LTS 19
Component/s: Userspace

Description

The Kubernetes kube-apiserver in versions v1.6-v1.15, and versions prior to v1.16.13, v1.17.9 and v1.18.7 are vulnerable to an unvalidated redirect on proxied upgrade requests that could allow an attacker to escalate privileges from a node compromise to a full cluster compromise.

CREATE(Triage):(User=admin) [CVE-2020-8559|https://nvd.nist.gov/vuln/detail/CVE-2020-8559]

CVEs


Live chat
Online